---
title: "Gọi được chưa"
locale: vi
url: https://tlg.builera.app/docs/reference/rest/calls.readiness
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Gọi được chưa

Cuộc gọi tới chat riêng này có đổ chuông ngay không, và nếu không thì vì sao (calls_disabled, not_private_chat, account_unavailable, proxy_no_udp, worker_outdated, peer_opted_out, account_busy, node_calls_full, audio_endpoint_required). Hạn mức và nhịp vẫn do cổng quyết lúc nhận việc.

Cuộc gọi tới chat riêng này có đổ chuông ngay không, và nếu không thì vì sao (calls_disabled, not_private_chat, account_unavailable, proxy_no_udp, worker_outdated, peer_opted_out, account_busy, node_calls_full, audio_endpoint_required). Hạn mức và nhịp vẫn do cổng quyết lúc nhận việc.

## Thông tin

| Tên | Giá trị |
| --- | --- |
| Mã | `calls.readiness` |
| Scope cần | `messages.read` |
| Mức | Chỉ đọc |
| Có thể cần xác nhận | Không |
| Kiểu chạy | Trả kết quả ngay |
| Cần `Idempotency-Key` | Không |
| Vai trò thành viên được phép | `owner`, `manager`, `agent` |
| Trong app | Hộp thư → chat riêng → nút Gọi |

## Trường vào

| Trường | Kiểu | Bắt buộc | Mô tả |
| --- | --- | --- | --- |
| `conversationId` | `uuid` | Có |   |

## Ví dụ gọi

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/calls.readiness \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"conversationId":"00000000-0000-0000-0000-000000000000"}'
```

## Trường ra (`data`)

| Trường | Kiểu | Bắt buộc |
| --- | --- | --- |
| `ok` | `true` | Có |
| `ready` | `false` | Có |
| `reason` | `"calls_disabled" \| "not_private_chat" \| "account_unavailable" \| "proxy_no_udp" \| "worker_outdated" \| "peer_opted_out" \| "account_busy" \| "node_calls_full" \| "audio_endpoint_required" \| "call_not_found" \| "forbidden"` | Có |
| `message` | `chữ` | Có |

## Ví dụ trả về

```json
{
  "data": {
    "ok": true,
    "ready": false,
    "reason": "calls_disabled",
    "message": "text"
  }
}
```

## Dùng qua MCP

Không có tên sẵn trong profile nào: gọi `tools_describe` rồi `tools_run` với `code: "calls.readiness"`. Tên tool khi được liệt kê: `calls_readiness`.
